package com.ruoyi.shipping.excel;

import java.util.List;

public class BoxDistributionStatistics {
    private static final long serialVersionUID = 1L;
    /**
     * 港口
     */
    private String haven;
    /**
     * 地点信息
     */
    private List<BoxAddressMessage> boxAddressMessages;

    /**
     * 合并单元格大小
     * @return
     */
    private Integer number;

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getHaven() {
        return haven;
    }

    public void setHaven(String haven) {
        this.haven = haven;
    }

    public List<BoxAddressMessage> getBoxAddressMessages() {
        return boxAddressMessages;
    }

    public void setBoxAddressMessages(List<BoxAddressMessage> boxAddressMessages) {
        this.boxAddressMessages = boxAddressMessages;
    }

    @Override
    public String toString() {
        return "BoxDistributionStatistics{" +
                "haven='" + haven + '\'' +
                ", boxAddressMessages=" + boxAddressMessages +
                '}';
    }
}
